/*
 * $Id: stdio.h 565570 2013-02-08 23:23:49Z ib-builder $
 *
 * stdio.h wrapper for C++
 *
 * Stu Grossman, June 2007
 *
 * Copyright (c) 2007-2008, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * This wrapper provides a way for libstdc++ (and possibly other 3rd party
 * code) to avoid the problems in pfe/include/stdio.h.  pfe/include/stdio.h
 * lacks many of the defs which are needed by the C++ <cstdio> header.
 */

#ifndef __LIBSTDCXX_JUNOS_STDIO_H__
#define __LIBSTDCXX_JUNOS_STDIO_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Grab src/bsd/include/stdio.h
 */
#include "../../../../../bsd/include/stdio.h"

#ifdef __cplusplus
}
#endif

#endif /* _LIBSTDCXX_JUNOS_STDIO_H_ */
