/*
 * $Id: locale.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * locale.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * Here's just enough of locale.h to make libstdc++ compile.
 */

#ifndef __LIBSTDCXX_EMBEDDED_LOCALE_H__
#define __LIBSTDCXX_EMBEDDED_LOCALE_H__

#ifdef __cplusplus
extern "C" {
#endif

#define LC_ALL	    0

struct lconv;
struct lconv *localeconv(void);
char *setlocale(int, const char *);

#define LC_ALL	    0
#define LC_COLLATE  1
#define LC_CTYPE    2
#define LC_MONETARY 3
#define LC_NUMERIC  4
#define LC_TIME     5
#define LC_MESSAGES 6

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_LOCALE_H__ */
